1. Addons
Saaslogic
  • Enum Reference
  • Authentication
  • Introduction
  • Products
    • Resources
      • Create Product Resource
    • Coupons
      • Publish Coupon
      • Create Coupon
      • Update Coupon
      • Get Coupon
      • Get Coupons
    • Create Product
    • Get Product
    • List all products
    • Update Product
  • Authentication
    • saaslogic token
      • Get the saaslogic access token
    • login Url
      • Gives the login URL
    • logout Url
      • Gives the logout URL
  • Countries
    • Get list of countries
  • Plans
    • Create Plan
    • Update Plan
    • Publish Plan
    • Get Plan
    • Get Plans
    • List all plans for a product
  • Subscriptions
    • Get Subscriptions
    • Change subscription plan
    • Create a product subscription
    • Retrieve a subscription
    • Create Customer and Subscription
    • Subscription with details permissions, menus and features
    • The Saaslogic URL for creating subscription
  • Usage Reporting
    • Report the resource usages in subscription for invoicing
    • Retrieves the resource usages of a subscription in the current billing cycle
  • Customers
    • addresses
      • Create an address
      • List all addresses
      • Update an address
      • Retrieve an address
      • Delete an address
    • contacts
      • Create a contact
      • List all contacts
      • Update a contact
      • Retrieve a contact
      • Delete a contact
    • Create a customer
    • List all customers
    • Update a customer
    • Retrieve a customer
    • Delete a customer
  • Vendors
    • vendor addresses
      • Create a vendor address.
      • List all vendor addresses.
      • Update a vendor address.
      • Retrieve a vendor address..
      • Delete a vendor address.
    • vendor contacts
      • Create a vendor contact.
      • List all vendor contacts.
      • Update a vendor contact.
      • Retrieve a vendor contact.
      • Delete a vendor contact.
    • vendor bills
      • Create a vendor bill
      • Cancel a vendor bill.
    • vendor bills payout
      • Update payment details to vendor bills.
    • Create a vendor
    • Update a vendor.
    • Activate a vendor.
    • Deactivate a vendor
  • Invoices
    • subscriptions
      • Get the invoices
      • Get the invoices by subscription
    • payments
      • Mark the invoice payment status
    • Approve the invoice
    • Get Invoices
    • Get the invoice details .
    • Cancel the invoice
    • Send invoice as pdf with payment link.
    • Create an on-demand invoice
  • States
    • Get list of states
  • Addons
    • List all addons for a product
      GET
  • Submerchant
    • Create a submerchant
  • UOM
    • Create UOM
    • Update UOM
    • List UOMs
    • Get UOM
  • HostedPages
    • Enable Hosted Page
  • Schemas
    • Invoice
      • InvoiceSubscriptionDTO
      • InvoiceInfo
      • InvoiceDetail
      • InvoiceProduct
      • InvoiceLineItemDTO
      • InvoicePayment
      • InvoiceAttributeDTO
      • InvoiceRequestDTO
      • InvoiceRequestProduct
      • InvoiceRequestLineItem
      • InvoiceRequestLineItemTax
      • InvoiceRequestDiscount
      • InvoicePaginatedResponse
    • Vendor
      • Vendor
      • VendorContact
      • VendorAddress
      • VendorBill
    • Subscriptions
      • SubscritpionPaginatedResponse
      • Subscription
      • ResourceQuantities
      • ChangeSubscriptionRequest
    • Pagination
      • PageRequest
      • SortCriteria
      • FilterCriteria
      • Pagination
      • InvoiceList
      • PageResponse
    • Plan
      • Plan
      • PlanSearchRequest
    • UOM
      • UOM
    • Product
      • ProductResource
      • ProductFeature
      • Product
      • ProductAttribute
      • Coupon
      • CouponSearchRequest
    • AccessTokenResponse
    • ProductAPIKey
    • Country
    • Customer
    • CustomerAddress
    • PaymentInfo
    • CustomerWithSubscription
    • State
    • Addon
    • CustomerContact
    • Submerchant
    • HostedPageAccessRequest
  1. Addons

List all addons for a product

GET
/products/{productId}/addons
Retrieves all available addons configured for the specified product.
The response includes pricing details, resource information, billing frequency, and addon type.

Request

Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🔴500ErrorResponse
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-sandbox.saaslogic.io/v1/products/9396ab1a-7d09-4d16-8849-054de0b6b4a1/addons?billingFrequencyId=a03ac63d-384e-4d0b-9fc2-fbcfbc6fb9e2&billingFrequencyName=Monthly' \
--header 'Authorization: Bearer ' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json'
Response Response Example
200 - Example 1
[
    {
        "addonId": "62983082-2db9-4834-a463-3e7dbff31f87",
        "addonName": "API Calls 100 (Lifetime)",
        "resourceName": "API Calls",
        "resourceUOMId": "e7de6e12-8e8d-4f5c-83f1-1ace00431adc",
        "resourceUOMName": "Number",
        "quantity": 100.0,
        "currencyISOCode": "USD",
        "currencyDisplaySymbol": "$",
        "billingFrequencyName": "Life-Time",
        "billingFrequencyValue": "10.00",
        "addonType": "Onetime"
    },
    {
        "addonId": "620cbd32-aa02-4ab0-ac6e-a991c027a46a",
        "addonName": "Storag 100 GB",
        "resourceUOMId": "e7de6e12-8e8d-4f5c-83f1-1ace00431adc",
        "resourceUOMName": "GB",
        "resourceName": "API Calls",
        "quantity": 100.0,
        "currencyISOCode": "USD",
        "currencyDisplaySymbol": "$",
        "billingFrequencyName": "Monthly",
        "billingFrequencyValue": "10.00",
        "addonType": "Non-Recurring"
    },
    {
        "addonId": "c5d72ffe-ea56-410b-b995-50cd1f33f5f6",
        "addonName": "API Calls 100 (Auto Renew)",
        "resourceUOMId": "e7de6e12-8e8d-4f5c-83f1-1ace00431adc",
        "resourceUOMName": "Number",
        "resourceName": "API Calls",
        "quantity": 100.0,
        "currencyISOCode": "USD",
        "currencyDisplaySymbol": "$",
        "billingFrequencyName": "Yearly",
        "billingFrequencyValue": "120.00",
        "addonType": "Recurring"
    }
]
Previous
Get list of states
Next
Create a submerchant
Built with